Debian Bug report logs - #653621
php-openid: lacks patch to avoid "Call-time pass-by-reference is deprecated" errors

version graph

Package: php-openid; Maintainer for php-openid is Jan Hauke Rahm <jhr@debian.org>; Source for php-openid is src:php-openid.

Reported by: Arthur P Prokosch <arthurp@csail.mit.edu>

Date: Thu, 29 Dec 2011 20:48:01 UTC

Severity: serious

Tags: upstream

Merged with 658873, 664995

Found in version php-openid/2.2.2-1

Fixed in version php-openid/2.2.2-1.1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://github.com/openid/php-openid/issues/8

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jan Hauke Rahm <jhr@debian.org>:
Bug#653621; Package php-openid. (Thu, 29 Dec 2011 20:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arthur P Prokosch <arthurp@csail.mit.edu>:
New Bug report received and forwarded. Copy sent to Jan Hauke Rahm <jhr@debian.org>. (Thu, 29 Dec 2011 20:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arthur P Prokosch <arthurp@csail.mit.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: php-openid: lacks patch to avoid "Call-time pass-by-reference is deprecated" errors
Date: Thu, 29 Dec 2011 15:23:51 -0500
Package: php-openid
Version: 2.2.2-1
Severity: important


In squeeze, php5 5.3.3 is the default.  However, php-openid as
packaged triggers "Call-time pass-by-reference" errors in php >= 5.3

A circulating patch, that is distributed with the MediaWiki OpenID
extension, removes the offending '&' characters, but I'd prefer to 
use unmangled Debian packages when possible (besides which the patch's
line numbers seem to be 3 smaller than those in the files in the 
debian .orig source package).

Patch: 
Described at http://www.mediawiki.org/wiki/Extension:OpenID , under
requisite 1 / "patch for PHP > 5.3.x"
Specific patch file packaged with mediawiki extension, is attached.

I haven't tested wheezy, but expect the same problem & solution would
apply there.

Thanks much!
-arthur prokosch
system administrator
MIT Computer Science and Artificial Intelligence Lab.

---- from MediaWiki trunk, r107299, OpenID/patches/php-openid-2.2.2.patch ----

diff -bru _Auth//OpenID/Consumer.php Auth//OpenID/Consumer.php
--- _Auth//OpenID/Consumer.php	2010-04-29 22:41:05.000000000 +0200
+++ Auth//OpenID/Consumer.php	2011-02-03 12:17:42.000000000 +0100
@@ -666,7 +666,7 @@
                                         '_completeInvalid');
 
         return call_user_func_array(array($this, $method),
-                                    array($message, &$endpoint, $return_to));
+                                    array($message, $endpoint, $return_to));
     }
 
     /**
@@ -1181,7 +1181,7 @@
         // oidutil.log('Performing discovery on %s' % (claimed_id,))
         list($unused, $services) = call_user_func($this->discoverMethod,
                                                   $claimed_id,
-												  &$this->fetcher);
+												  $this->fetcher);
 
         if (!$services) {
             return new Auth_OpenID_FailureResponse(null,
diff -bru _Auth//OpenID/Server.php Auth//OpenID/Server.php
--- _Auth//OpenID/Server.php	2010-04-29 22:41:05.000000000 +0200
+++ Auth//OpenID/Server.php	2011-02-03 12:18:56.000000000 +0100
@@ -1704,7 +1704,7 @@
     {
         if (method_exists($this, "openid_" . $request->mode)) {
             $handler = array($this, "openid_" . $request->mode);
-            return call_user_func($handler, &$request);
+            return call_user_func($handler, $request);
         }
         return null;
     }
diff -bru _Auth//OpenID/TrustRoot.php Auth//OpenID/TrustRoot.php
--- _Auth//OpenID/TrustRoot.php	2010-04-29 22:41:05.000000000 +0200
+++ Auth//OpenID/TrustRoot.php	2011-02-03 12:19:24.000000000 +0100
@@ -413,7 +413,7 @@
     }
 
     call_user_func_array($discover_function,
-                         array($relying_party_url, &$fetcher));
+                         array($relying_party_url, $fetcher));
 
     $return_to_urls = array();
     $matching_endpoints = Auth_OpenID_extractReturnURL($endpoints);
diff -bru _Auth//Yadis/Manager.php Auth//Yadis/Manager.php
--- _Auth//Yadis/Manager.php	2010-04-29 22:41:05.000000000 +0200
+++ Auth//Yadis/Manager.php	2011-02-03 12:20:44.000000000 +0100
@@ -413,7 +413,7 @@
 
             list($yadis_url, $services) = call_user_func($discover_cb,
                                                          $this->url,
-                                                         &$fetcher);
+                                                         $fetcher);
 
             $manager = $this->createManager($services, $yadis_url);
         }
diff -bru _Auth//Yadis/XRDS.php Auth//Yadis/XRDS.php
--- _Auth//Yadis/XRDS.php	2010-04-29 22:41:05.000000000 +0200
+++ Auth//Yadis/XRDS.php	2011-02-03 12:19:58.000000000 +0100
@@ -429,7 +429,7 @@
 
                 foreach ($filters as $filter) {
 
-                    if (call_user_func_array($filter, array(&$service))) {
+                    if (call_user_func_array($filter, array($service))) {
                         $matches++;
 
                         if ($filter_mode == SERVICES_YADIS_MATCH_ANY) {
diff -bru _Auth//Yadis/Yadis.php Auth//Yadis/Yadis.php
--- _Auth//Yadis/Yadis.php	2010-04-29 22:41:05.000000000 +0200
+++ Auth//Yadis/Yadis.php	2011-02-03 12:20:26.000000000 +0100
@@ -141,7 +141,7 @@
     }
 
     $yadis_result = call_user_func_array($discover_func,
-                                         array($input_url, &$fetcher));
+                                         array($input_url, $fetcher));
 
     if ($yadis_result === null) {
         return array($input_url, array());


-- System Information:
Debian Release: 6.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages php-openid depends on:
ii  php5                    5.3.3-7+squeeze3 server-side, HTML-embedded scripti
ii  php5-curl               5.3.3-7+squeeze3 CURL module for php5
ii  php5-gmp                5.3.3-7+squeeze3 GMP module for php5

php-openid recommends no packages.

Versions of packages php-openid suggests:
pn  php-db                        <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#653621; Package php-openid. (Fri, 13 Jan 2012 09:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Hauke Rahm <jhr@debian.org>:
Extra info received and forwarded to list. (Fri, 13 Jan 2012 09:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 653621@bugs.debian.org (full text, mbox):

From: Jan Hauke Rahm <jhr@debian.org>
To: Arthur P Prokosch <arthurp@csail.mit.edu>, 653621@bugs.debian.org
Subject: Re: Bug#653621: php-openid: lacks patch to avoid "Call-time pass-by-reference is deprecated" errors
Date: Fri, 13 Jan 2012 10:54:12 +0100
[Message part 1 (text/plain, inline)]
tags 653621 + upstream
forwarded 653621 https://github.com/openid/php-openid/issues/8
thanks

Hi Arthur,

On Thu, Dec 29, 2011 at 03:23:51PM -0500, Arthur P Prokosch wrote:
> In squeeze, php5 5.3.3 is the default.  However, php-openid as
> packaged triggers "Call-time pass-by-reference" errors in php >= 5.3
> 
> A circulating patch, that is distributed with the MediaWiki OpenID
> extension, removes the offending '&' characters, but I'd prefer to 
> use unmangled Debian packages when possible (besides which the patch's
> line numbers seem to be 3 smaller than those in the files in the 
> debian .orig source package).
> 
> Patch: 
> Described at http://www.mediawiki.org/wiki/Extension:OpenID , under
> requisite 1 / "patch for PHP > 5.3.x"
> Specific patch file packaged with mediawiki extension, is attached.
> 
> I haven't tested wheezy, but expect the same problem & solution would
> apply there.

This is already reported upstream. I'm not really willing to introduce
random bug fixes as patches in the Debian package. It seems upstream's
more or less dead lately, though. I'll poke them another time.

Thanks for your bug report anyways!

Hauke

-- 
 .''`.   Jan Hauke Rahm <jhr@debian.org>               www.jhr-online.de
: :'  :  Debian Developer                                 www.debian.org
`. `'`   Member of the Linux Foundation                    www.linux.com
  `-     Fellow of the Free Software Foundation Europe      www.fsfe.org
[signature.asc (application/pgp-signature, inline)]

Added tag(s) upstream. Request was from Jan Hauke Rahm <jhr@debian.org> to control@bugs.debian.org. (Fri, 13 Jan 2012 09:57:20 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://github.com/openid/php-openid/issues/8'. Request was from Jan Hauke Rahm <jhr@debian.org> to control@bugs.debian.org. (Fri, 13 Jan 2012 09:57:21 GMT) Full text and rfc822 format available.

Forcibly Merged 653621 658873. Request was from Jan Hauke Rahm <jhr@debian.org> to control@bugs.debian.org. (Mon, 06 Feb 2012 22:57:07 GMT) Full text and rfc822 format available.

Merged 653621 658873 664995 Request was from Alexander GQ Gerasiov <gq@debian.org> to control@bugs.debian.org. (Thu, 22 Mar 2012 13:03:11 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Fri, 30 Mar 2012 15:24:10 GMT) Full text and rfc822 format available.

Added indication that bug 653621 blocks 666411 Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Fri, 30 Mar 2012 15:24:18 GMT) Full text and rfc822 format available.

Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Sun, 29 Apr 2012 09:39:04 GMT) Full text and rfc822 format available.

Notification sent to Arthur P Prokosch <arthurp@csail.mit.edu>:
Bug acknowledged by developer. (Sun, 29 Apr 2012 09:39:06 GMT) Full text and rfc822 format available.

Message #27 received at 653621-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 653621-close@bugs.debian.org
Subject: Bug#653621: fixed in php-openid 2.2.2-1.1
Date: Sun, 29 Apr 2012 09:33:03 +0000
Source: php-openid
Source-Version: 2.2.2-1.1

We believe that the bug you reported is fixed in the latest version of
php-openid, which is due to be installed in the Debian FTP archive:

php-openid_2.2.2-1.1.debian.tar.gz
  to main/p/php-openid/php-openid_2.2.2-1.1.debian.tar.gz
php-openid_2.2.2-1.1.dsc
  to main/p/php-openid/php-openid_2.2.2-1.1.dsc
php-openid_2.2.2-1.1_all.deb
  to main/p/php-openid/php-openid_2.2.2-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653621@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated php-openid package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 29 Apr 2012 09:13:02 +0000
Source: php-openid
Binary: php-openid
Architecture: source all
Version: 2.2.2-1.1
Distribution: unstable
Urgency: low
Maintainer: Jan Hauke Rahm <jhr@debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 php-openid - PHP OpenID library
Closes: 653621
Changes: 
 php-openid (2.2.2-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fixes call-time pass-by-reference (Closes: #653621).
Checksums-Sha1: 
 a028130343ff0c53f83875bf24122c10b7e0a9bc 1223 php-openid_2.2.2-1.1.dsc
 00b01dfd1f54393a234d64c0cfb55beda37d598a 3116 php-openid_2.2.2-1.1.debian.tar.gz
 05ac849965b57a3ce57d6e83e035ee1f3b9b7814 233316 php-openid_2.2.2-1.1_all.deb
Checksums-Sha256: 
 c4400307da72232450410755f864df0737ef778cb39cb5db646db121175b6b43 1223 php-openid_2.2.2-1.1.dsc
 52c47226b641fd21aca2e202efba79c763051e42c8cedae840c7d2f396006f6b 3116 php-openid_2.2.2-1.1.debian.tar.gz
 2ecbfcc5258fcb378405dc1ecb4be4775427b694d2cfc4a11548f6ed53a23485 233316 php-openid_2.2.2-1.1_all.deb
Files: 
 24fb8d36b412fa7f0332cee890f7800c 1223 php optional php-openid_2.2.2-1.1.dsc
 96a89a609dd3a63cc09e474401a7fd9d 3116 php optional php-openid_2.2.2-1.1.debian.tar.gz
 d6122259dc273a6b434245c045c0fd26 233316 php optional php-openid_2.2.2-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEAREDAAYFAk+dBycACgkQl4M9yZjvmknj9QCfbYi1BzYnujzdXQzMutsDay+H
AccAoJuTmacwX27c3133MjA4kllrodqZ
=P/o2
-----END PGP SIGNATURE-----





Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Sun, 29 Apr 2012 09:39:12 GMT) Full text and rfc822 format available.

Notification sent to Ondřej Surý <ondrej@debian.org>:
Bug acknowledged by developer. (Sun, 29 Apr 2012 09:39:13 GMT) Full text and rfc822 format available.

Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Sun, 29 Apr 2012 09:39:16 GMT) Full text and rfc822 format available.

Notification sent to Patrik Wallstrom <pawal@blipp.com>:
Bug acknowledged by developer. (Sun, 29 Apr 2012 09:39:28 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Jun 2013 07:27:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 03:02:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.